@import url("./header.css");
@import url("./footer.css");


:root {
    --background-color: #EEF2F8;
    --primary-color: #0F6;
    --secondary-color: #fff;
    --tertiary-color: #000;
    --hover-color: #000;
    --primary-font: 'Lexend Deca', sans-serif; /* Adicionei aspas e fallback */
}



main {
    margin-top: 2em;
    margin-bottom: 2em;
    flex-grow: 1;
}

footer {
    background-color: #000;
    color: #fff;
    padding: 20px;
    text-align: center;
  }
  
  .footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .footer-contact,
  .footer-about,
  .footer-social {
    flex: 1;
    margin: 10px;
  }
  
  .footer-contact , .footer-social h4 {
    margin-bottom: 10px;
    font-size: 22px;
    font-weight: bold;
  }
  
  .footer-about a {
    color:rgb(0, 91, 228);
    font-size: 22px;
    text-decoration: none;
    font-weight: bold;
  }
  
  .footer-about a:hover {
    text-decoration: underline;
  }
  
  .social-icon {
    margin: 0 5px;
  }
  
  .social-icon img {
    width: 40px;
    height: 40px;
  }

input {
    border-radius: 100px;
}

.pagamento-credito:hover{
    background-color: mintcream;
    transition: 2s;
    transform: scale(1.03);
    box-shadow: #0000008b 5px 7px;    
}


.divider:after,
.divider:before {
    content: "";
    flex: 1;
    height: 1px;
    background: #eee;
}

.h-custom {
    height: calc(100% - 73px);
}

@media (max-width: 450px) {
    .h-custom {
        height: 100%;
    }
}

h1 {
    font-size: 50px;
    font-family: 'Tourney', sans-serif; /* Adicionei aspas e fallback */
    text-shadow: 0.1em 0.1em #0f6;
    margin-left: 30px;
}

.h2cadastro {
    font-size: 26px;
    text-shadow: 2px 2px LightSlateGray;
    margin-left: 170px;
}

.img-fluid {
    width: 400px;
    height: 400px;
    margin-left: 70px;
    margin-top: 100px;
}
.main-text-logo{
    display: block;
    margin-left: 36%;
}

/* Bloco de pagamento */

.botao-finalizar-credito{
    color: black;
    background-color: var(--primary-color);
    border-radius: 100px;
    border-color: #0F6;
}
.botao-finalizar-credito:hover{
    background-color: #ffffff;
    color: blue;
    transition: 1s;
    border-color: blue;
    border-style: solid ;
    border-width: 1px;
    
}
.contador button{
    background-color: var(--primary-color);
    color: black;
    transition: 1s;

}
.contador button:hover{
    background-color: var(--hover-color);
    color: white;
    transition: 1s;
    border-color: blue;
    border-style: solid ;
    border-width: 1px;
    
}

.pagamento-credito {
    border-right: 3px solid black;
    border-left: 3px solid black;
    border-radius: 5px;
    padding: 20px;
    margin: 20px auto;
    max-width: 600px;
    background-color: var(--background-color);
}

h3, h4 {
    color: #000;
}

.pagamento-credito input {
    display: block;
    width: 100%;
    margin-bottom: 15px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: rgba(7, 119, 255, 0.173);
}
button {
    padding: 10px 15px;
    border: none;
    border-radius: 50%;
    background-color: rgb(0, 230, 54);
    color: white;
    cursor: pointer;
}

.imgseta{
    position: absolute;
height: 70px;
width: 70px;
top: 50px;

right: 94%;
}